2018-12-18 23:51 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000231Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:10
ReporterQuix0r 
Assigned ToQuix0r 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000231: Sub-Id Tracking
DescriptionDas Tracking von Benutzeranmeldungen soll nun mit Sub-Ids genauer werden. Dadurch ist es moeglich, z.B. feststellen zu koennen, ob das neue Mitglied ueber einen Textlink oder ein Banner sich angemeldet hat, da die entsprechenden Sub-Ids mit getrackt werden. Zudem wird bei der Mitgliedsanmeldung dies mit ins Mitgliedsaccount gespeichert und soll auch vom Mitglied und Werber einsehbar bleiben.

Da die API-Funktionen detectFoo() verwendet werden, wird bei Installation ext-removeip die Daten vom Browser anonymisiert.
Additional InformationEs sollte auch moeglich sein, dass das werbende Mitglied die vom geworbenen Mitglied angeklickte Sub-Id in seiner Referral-Uebersicht sehen kann.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000569

Quix0r (administrator)

Revision 2844 enthaelt nun (versehentlich) Aenderungen, die jedoch noch Baustelle sind. Ich kann daher empfehlen, den Mitgliedsmneuepunkt erstmal zu deaktivieren (sperren), so dass kein Mitglied ihn nutzen kann. Vorsicht: Eingeloggte Administratoren, die sich zusaetzlich in den Mitgliedsbereich als Mitglied einloggen, koennen jeden Menuepunkt - auch gesperrte oder verdeckte - sehen und nutzen!

~0000570

Quix0r (administrator)

Weiterhin ist auch mit Revision 2847 das Tracking mit Sub-Ids nicht funktionstuechtig, es sind weitere Verallgemeinerungen von "List-Builder-Funktionen" hizugekommen, sowie ein weiteres XML-Template.

~0000584

Quix0r (administrator)

Der Mitgliedsbereich ist bis auf "Loeschen" und die Aufrufstatistik fertig geworden. Noch schnell kommen Mails beim Hinzufuegen einer Sub-Id fuer Mitglied und Admin hinzu.

~0000585

Quix0r (administrator)

Loeschen von Sub-Id durch das Mitglied ist auch erledigt.

~0000586

Quix0r (administrator)

Der Statistikteil fuer Mitglieder ist nun auch fertig. Was nervt, sind diese bloeden Linkdistanzierungen, aber was soll's...

~0000587

Quix0r (administrator)

Wenn ich nicht etwas uebersehen, habe kommt nun das Editieren und Loeschen von Sub-Ids, sowohl das Anzeigen und Loeschen der "Statistik" (Logbuch) noch dran...

~0000588

Quix0r (administrator)

Die "Statistik" ist nun auch fuer den Adminbereich fertig. Heia machen! ;)

~0000590

Quix0r (administrator)

Mit Revision 2865 sollte dies nun eingebaut sein.

~0000591

Quix0r (administrator)

Siehe dazu das "Album" Mitgliedsbereich:
http://photos.mxchange.org/?d=albums/Mitgliedsbereich

~0000696

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2012-10-06 14:24 Quix0r New Issue
2012-10-06 14:24 Quix0r Status new => assigned
2012-10-06 14:24 Quix0r Assigned To => Quix0r
2012-10-07 10:43 Quix0r Note Added: 0000569
2012-10-07 20:48 Quix0r Note Added: 0000570
2012-10-08 15:24 Quix0r Note Added: 0000584
2012-10-08 16:38 Quix0r Note Added: 0000585
2012-10-08 21:49 Quix0r Note Added: 0000586
2012-10-09 09:16 Quix0r Description Updated View Revisions
2012-10-12 19:48 Quix0r Note Added: 0000587
2012-10-12 21:39 Quix0r Note Added: 0000588
2012-10-17 20:31 Quix0r Note Added: 0000590
2012-10-17 20:31 Quix0r Status assigned => resolved
2012-10-17 20:31 Quix0r Fixed in Version => 0.2.1-FINAL
2012-10-17 20:31 Quix0r Resolution open => fixed
2012-10-17 20:33 Quix0r Note Added: 0000591
2012-10-17 20:33 Quix0r Additional Information Updated View Revisions
2016-11-23 10:10 Quix0r Note Added: 0000696
2016-11-23 10:10 Quix0r Status resolved => closed
+Issue History